<HTML>
<HEAD>
<TITLE>absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></A><H2>absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi</H2>
<P>Vi saves waveform data in array when waveform is in CUSTOM time mode. When array is full data are written to waveform and waveform is switched into normal mode.</P>
<HR>
<H3>Connector Pane</H3>
<P><IMG SRC="full_help/full_helpc.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<HR>
<H3>Front Panel</H3>
<P><IMG SRC="full_help/full_helpp.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<HR>
<H3>Controls and Indicators</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1dmsdt.png" ALT="c1dmsdt"></P>
</TD>
<TD>
<B>Input</B> <P>Waveform data array Input</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cmsdt.png" ALT="cmsdt"></P>
</TD>
<TD>
<B>Waveform</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B>t0</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1ddbl.png" ALT="c1ddbl"></P>
</TD>
<TD>
<B>Y</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error</B> <P>The error cluster contains error or warning information. </P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P>The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P>The code number identifies the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P>The source string describes the origin of the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>attributes</B> </TD>
</TR>
</Table>
</UL>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cmsdt.png" ALT="cmsdt"></P>
</TD>
<TD>
<B>Waveform input</B> <P>Waveform input</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B>t0</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1ddbl.png" ALT="c1ddbl"></P>
</TD>
<TD>
<B>Y</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error</B> <P>The error cluster contains error or warning information. </P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P>The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P>The code number identifies the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P>The source string describes the origin of the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>attributes</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>max saved values</B> <P>Max saved values in waveform data array</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cwcrn.png" ALT="cwcrn"></P>
</TD>
<TD>
<B>Waveform Chart</B> <P>Waveform graph reference</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum HOURS</B> <P>Visible time enum reference</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/i1dmsdt.png" ALT="i1dmsdt"></P>
</TD>
<TD>
<B>Output</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/imsdt.png" ALT="imsdt"></P>
</TD>
<TD>
<B>Waveform</B> <P>Waveform data array Output</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/iatrn.png" ALT="iatrn"></P>
</TD>
<TD>
<B>t0</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/idbl.png" ALT="idbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/i1ddbl.png" ALT="i1ddbl"></P>
</TD>
<TD>
<B>Y</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/idbl.png" ALT="idbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error</B> <P>The error cluster contains error or warning information. </P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P>The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P>The code number identifies the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P>The source string describes the origin of the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ifxdt.png" ALT="ifxdt"></P>
</TD>
<TD>
<B>attributes</B> </TD>
</TR>
</Table>
</UL>
</UL>
<HR>
<H3>Block Diagram</H3>
<P><IMG SRC="full_help/full_helpd.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<P><IMG SRC="full_help/full_helpd1.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<P><IMG SRC="full_help/full_helpd2.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<P><IMG SRC="full_help/full_helpd3.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<P><IMG SRC="full_help/full_helpd4.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<P><IMG SRC="full_help/full_helpd5.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<HR>
<H3>List of SubVIs and Express VIs with Configuration Information</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_fixed__range__visible__time__buttonctli.png" ALT="absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\fixed_range_visible_time_button.ctl</P>
</TD>
</TR>
</Table>
<HR>
<H3>VI Revision History</H3>
<P>&quot;absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi History&quot;</P>
<P>Current Revision:   11</P>
<HR>
<H3>Position in Hierarchy</H3>
<P><IMG SRC="full_help/full_helph.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
<HR>
<H3>Iconified Cluster Constants</H3>
</BODY>
</HTML>
